Groovy Documentation

## groovy.swing.factory
[Groovy] Class SwingBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory

    abstract class SwingBorderFactory
    extends AbstractFactory

Method Summary
`boolean` | `isLeaf()`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isLeaf

    boolean isLeaf()

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)

### setParent

    void setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

Groovy Documentation